Subject: Re: bug#17005: 24.3.50; semantic is not finding cl-defun's and friends

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 15 Aug 2019 18:12:32 -0700

Noam Postavsky <[email-masked]> writes:

> Thierry Volpiatto <[email-masked]> writes:
>
>> Lars Ingebrigtsen <[email-masked]> writes:
>>
>>> I'm not really a Semantic user, so I can't test this, but I assume by
>>> "some trivial changes" you meant something like this, which I've now
>>> applied to Emacs 27.  If that's the wrong thing to do, please revert.
>>
>> AFAIK cl-defun* doesn't exists, thus you need a few more changes, I am
>> not a semantic user as well, so maybe some more changes are needed.
>
>> -		 "(\\(let\\*?\\|def\\(un\\|method\\|generic\\|\
>> +		 "(\\(let\\*?\\|cl-defun\\|def\\(un\\|method\\|generic\\|\
>
> There is also cl-defmethod and cl-defgeneric, so it should probably be
>
> 		 "(\\(let\\*?\\|\\(?:cl-\\)?def\\(un\\|method\\|generic\\|\

Thanks; I've applied this (and Thierry's fixes) to el.el (and removed
cl-defun*).

(I thought I had checked that cl-defun* existed -- I typed
`C-h f cl-defun* RET' and got a *Help* buffer, but that's for
`cl-defun', not `cl-defun*' I see now.)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no